Update an ad-hoc (manually created) invoice.
curl --request PUT \
--url https://{subdomain}.outseta.com/api/v1/billing/invoices/{invoiceUid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/invoices/{invoiceUid}"
payload = {
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": False,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": False,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": False,
"HasPaymentGatewayTransactions": False,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Uid: 'string',
_objectType: 'string',
ActivityEventData: {},
InvoiceDate: 'string',
PaymentReminderSentDate: 'string',
Number: 0,
BillingInvoiceStatus: 1,
Subscription: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
BillingRenewalTerm: 1,
Account: {},
Plan: {},
Quantity: 0,
StartDate: 'string',
EndDate: 'string',
ExpirationDate: 'string',
RenewalDate: 'string',
NewRequiredQuantity: 0,
IsPlanUpgradeRequired: false,
PlanUpgradeRequiredMessage: 'string',
SubscriptionAddOns: [],
DiscountCouponSubscriptions: [],
DiscountCode: 'string',
DiscountCouponExpirationDate: 'string',
LatestInvoice: {},
Rate: 0
},
Amount: 0,
AmountOutstanding: 0,
InvoiceLineItems: [
{
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
StartDate: 'string',
EndDate: 'string',
Description: 'string',
UnitOfMeasure: 'string',
Quantity: 0,
Rate: 0,
Amount: 0,
Tax: 0,
Invoice: {},
LineItemType: 1,
EntityId: 0,
StripeTaxReference: 'string',
StripeTaxLineItemId: 'string',
EntityUid: 'string'
}
],
IsUserGenerated: false,
StripeTaxCalculationId: 'string',
StripeTaxBehavior: 'string',
AmountCredit: 0,
AmountDiscount: 0,
AmountPaid: 0,
AmountRefunded: 0,
AmountSubtotal: 0,
AmountTax: 0,
AmountTaxRefunded: 0,
IsTaxable: false,
HasPaymentGatewayTransactions: false,
StripePaymentTransactionIds: 'string',
StripeRefundTransactionIds: 'string',
StripeTaxRefundTransactionIds: 'string'
})
};
fetch('https://{subdomain}.outseta.com/api/v1/billing/invoices/{invoiceUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}Invoices & payments
Update an ad-hoc (manually created) invoice.
Only invoices created manually via the API or admin UI can be updated; invoices generated by a subscription’s billing cycle are immutable and will return a validation error.
PUT
/
api
/
v1
/
billing
/
invoices
/
{invoiceUid}
Update an ad-hoc (manually created) invoice.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The invoice's unique identifier
Body
application/json
The updated invoice, including InvoiceLineItems and Subscription reference
Maximum string length:
101 - Unpaid, 2 - Paid, 3 - Partial, 4 - Uncollected, 5 - Refunded, 6 - Uncollectible, 7 - Processing
Available options:
1, 2, 3, 4, 5, 6, 7 Circular reference to Subscription (not expanded here).
Show child attributes
Show child attributes
Maximum string length:
50Maximum string length:
10Response
Minimum string length:
1Minimum string length:
1Maximum string length:
101 - Unpaid, 2 - Paid, 3 - Partial, 4 - Uncollected, 5 - Refunded, 6 - Uncollectible, 7 - Processing
Available options:
1, 2, 3, 4, 5, 6, 7 Circular reference to Subscription (not expanded here).
Show child attributes
Show child attributes
Maximum string length:
50Maximum string length:
10⌘I